package com.bc_chat.bc_base.contract


import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群
 */

interface PayPasswordContract {

    interface Presenter {

        fun editPayKey(old_pay_key: String, new_pay_key: String)

        fun setPayKey(pay_key: String)

    }

    interface View : BaseContract.BaseView {

        fun editPayKeySuccess()

        fun setPayKeySuccess()

        fun editPayKeyFailure(exception: Exception?)

        fun setPayKeyFailure(exception: Exception?)
    }
}
